aboutsummaryrefslogtreecommitdiff
path: root/system/hivex/hivex.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/hivex/hivex.SlackBuild')
-rw-r--r--system/hivex/hivex.SlackBuild9
1 files changed, 3 insertions, 6 deletions
diff --git a/system/hivex/hivex.SlackBuild b/system/hivex/hivex.SlackBuild
index 46dabea8cf957..39dbc29664770 100644
--- a/system/hivex/hivex.SlackBuild
+++ b/system/hivex/hivex.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for hive
-# Copyright 2022-2023 Vijay Marcel
+# Copyright 2022-2024 Vijay Marcel
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=hivex
-VERSION=${VERSION:-1.3.23}
+VERSION=${VERSION:-1.3.24}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -39,9 +39,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -102,7 +99,7 @@ make install DESTDIR=$PKG
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ | cut -f 1 -d : | xargs strip --strip-unneeded --remove-section=.comment --remove-section=.note 2> /dev/null || true
mv -v $PKG/usr/share/man/man3/* $PKG/usr/man/man3/
rm -rvf $PKG/usr/share/man